index.on.role
Prev | ToC/LoT/Index Generation | Next

## Name

index.on.role — Select indexterms based on role value

## Synopsis

    <xsl:param name="index.on.role" select="0"></xsl:param>

## Description

If non-zero, then an `index` element that has a `role` attribute value will contain only those `indexterm` elements with a matching role value. If an `index` has no `role` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.role` is zero, then the `role` attribute has no effect on selecting indexterms for an index.

If you are using DocBook version 4.3 or later, you should use the `type` attribute instead of `role` on `indexterm` and `index`, and set the `index.on.type` to a nonzero value.

Prev | Up | Next
index.on.type | Home | index.preferred.page.properties